/* color palette from <https://github.com/vuejs/theme> */
:root {
  --vt-c-white: #ffffff;
  --vt-c-white-soft: #f8f8f8;
  --vt-c-white-mute: #f2f2f2;

  --vt-c-black: #181818;
  --vt-c-black-soft: #222222;
  --vt-c-black-mute: #282828;

  --vt-c-indigo: #2c3e50;

  --vt-c-divider-light-1: rgba(60, 60, 60, 0.29);
  --vt-c-divider-light-2: rgba(60, 60, 60, 0.12);
  --vt-c-divider-dark-1: rgba(84, 84, 84, 0.65);
  --vt-c-divider-dark-2: rgba(84, 84, 84, 0.48);

  /* --vt-c-text-light-1: var(--vt-c-indigo); */
  --vt-c-text-light-1: #3C3C43;
  --vt-c-text-light-2: rgba(60, 60, 60, 0.66);
  --vt-c-text-dark-1: var(--vt-c-white);
  --vt-c-text-dark-2: rgba(235, 235, 235, 0.64);
}

/* semantic color variables for this project */
:root {
  /* --color-background: var(--vt-c-white); */
  --color-background: rgba(40, 54, 84, 1.0);
  --color-background-soft: var(--vt-c-white-soft);
  --color-background-mute: var(--vt-c-white-mute);

  --color-border: var(--vt-c-divider-light-2);
  --color-border-hover: var(--vt-c-divider-light-1);

  --color-heading: var(--vt-c-text-light-1);
  --color-text: var(--vt-c-text-light-1);

  --section-gap: 160px;
}

@media (prefers-color-scheme: dark) {
  :root {
    --color-background: var(--vt-c-black);
    --color-background-soft: var(--vt-c-black-soft);
    --color-background-mute: var(--vt-c-black-mute);

    --color-border: var(--vt-c-divider-dark-2);
    --color-border-hover: var(--vt-c-divider-dark-1);

    --color-heading: var(--vt-c-text-dark-1);
    --color-text: var(--vt-c-text-dark-2);
  }
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  font-weight: normal;
}

body {
  color: var(--color-text);
  background: var(--color-background);
  transition:
    color 0.5s,
    background-color 0.5s;
  /* line-height: 1.6; */
  line-height: 1.35;
  font-family:
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    'Segoe UI',
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    'Fira Sans',
    'Droid Sans',
    'Helvetica Neue',
    sans-serif;
  font-size: 15px;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* #region 変数設定(サンプルアプリより) */
:root {
  --vw: 1vw;
  --vh: 1vh;
  --view-width: calc(var(--vw, 1vw) * 100);
  --view-height: calc(var(--vh, 1vh) * 100);
  --view-bg-color: #374564;
  --view-page-color: #F2F2F7;
  --view-text-color: black;
  --view-text-color-white: white;
  --view-text-color-blue: #007AFF;
  --view-text-color-darkgray: #3C3C43;
  --view-text-color-gray: rgba(60, 60, 67, 0.6);
  --view-text-color-red: red;
  --view-border-color-dark: #666666;
  --view-border-color: rgba(142, 142, 142, 0.6);
  --view-button-color-green: #AEC0A7;
  --view-button-color-red: #F5695F;
  --view-button-color-blue: #3E83E4;
  --view-button-color-beige: #DBC78F;
  --view-button-active-color: #a2fffa;
  --view-button-checked-color: #00c4ba;
  --view-button-logout-color: #A9B1B9;
  --view-input-bg-color-white: #FFFFFF;
  --view-select-button-gray: #F0F0F0;
  --view-input-bg-color-blue: #D0EFEF;
  --view-input-bg-color-gray: #ccc;
  --view-page-navi-height: 44px;
  --view-page-title-height: 52px;
  --view-page-info-height: 32px;
  --view-page-header-height: calc(var(--view-page-navi-height) + var(--view-page-title-height) + var(--view-page-info-height));
  --view-page-footer-height: 77px;
  --view-tap-area-height: 70px;
  --view-max-width: 480px;
  --view-header-link: var(--view-text-color-blue);
  --view-calendar-border-color: #acf;
  --view-calendar-bg-color: white;
  --view-calendar-bg-color-gray: #ccc;
  --view-calendar-color-sun: #ffe0e0;
  --view-calendar-color-sat: #e0ffff;

  --view-list-bg-color: #DCE7F0;
  --view-list-item-bg-normal: #FFFFFF;
  --view-list-item-bg-select: var(--view-button-active-color);
  --view-list-item-bg-color: rgba(96, 128, 200, 0.1);
  --view-list-header-color: #007bff70;

  /* --view-icon-color-blue: #256BB9;
  --view-icon-bg-color-blue: #CFE1F5;
  --view-icon-color-gold: #C3A245;
  --view-icon-bg-color-gold: #F3ECDA;
  --view-icon-color-green: #008000;
  --view-icon-bg-color-green: #D9E9D9;
  --view-icon-color-green2: #83Ca36;
  --view-icon-bg-color-green2: #E0Ffe0;
  --view-icon-color-red: #C34545;
  --view-icon-bg-color-red: #F3DADA;
  --view-icon-color-purple: #604C84;
  --view-icon-bg-color-purple: #DED9E9;
  --view-icon-color-gray: #606060;
  --view-icon-bg-color-gray: #DEDEDE;
  --view-icon-color-orange: #e08000;
  --view-icon-bg-color-orange: #F0E0E0;
  --view-icon-color-cyan: #408080;
  --view-icon-bg-color-cyan: #d0f0f0;
  --view-icon-color-magenta: #c040c0;
  --view-icon-bg-color-magenta: #F0D0F0;
  --view-icon-color-mono: #404040;
  --view-icon-bg-color-mono: #aaaaaa; */
  --view-icon-color-blue: #007AFF;
  --view-icon-color-gold: #CEBA00;
  --view-icon-color-green: #04B200;
  --view-icon-color-green2: #77FF77;
  --view-icon-color-red: #DD3300;
  --view-icon-color-purple: #B070FF;
  --view-icon-color-orange: #E08000;
  --view-icon-color-cyan: #00CCDD;
  --view-icon-color-magenta: #FF77FF;
  --view-icon-color-mono: #808080;

  --view-user-area: #D9D9D9;
  --view-page-nvai-area: #ffffff;
  --view-page-titile-area: #ffffff;
  --view-page-footer-area: #FCFCFD;
  --view-contents-area: #EFEFF4;
  --view-text-size-xxs: 10px;
  --view-text-size-xs: 12px;
  --view-text-size-s: 14px;
  --view-text-size-m: 16px;
  --view-text-size-title: 24px;
}

/* #endregion 変数設定 */

/* #region カスタムフォント設定 */
@font-face {
  font-family: MyFont;
  /* src: url("@/assets/fonts/BIZUDPGothic-Regular.ttf") format("truetype"); */
  src: url("@/assets/fonts/NotoSansJP-VariableFont_wght.ttf") format("truetype");
}

/* #endregion カスタムフォント設定 */

html {
  overflow: auto !important;
  font-family: MyFont, sans-serif;
  touch-action: manipulation;
  /* ダブルタップでのズーム禁止 */
}

* {
  /* オブジェクトやテキストを選択(ハイライト)できないようにする */
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-box-shadow: none;
  box-shadow: none;
  outline: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  font-size: var(--view-text-size-m);
  font-family: MyFont, sans-serif;
  pointer-events: inherit;
}


#page_area {
  max-width: 480px;
  background-color: var(--view-page-color);
  display: grid;
  grid-template-rows: auto 1fr auto;
  align-items: start;
  max-height: 100vh;
  min-width: 320px;
  margin: 0 auto;
  width: 100vw;
  height: 100vh;
  position: fixed;
  left: 50%;
  top: 50%;
  transform: translateX(-50%) translateY(-50%);
}

input,
textarea {
  -webkit-user-select: text;
  -khtml-user-select: text;
  -moz-user-select: text;
  -ms-user-select: text;
  user-select: text;
}


.page {
  display: grid;
  grid-template-rows: auto 1fr auto;
  width: 100%;
  height: 100%;
  margin: 0 auto;
  background-color: var(--view-page-color);
}

.disabled {
  pointer-events: none;
  opacity: 0.3;
}

.hidden {
  display: none !important;
}

.flex {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: nowrap;
  padding: 0.5em;
}

.center {
  text-align: center !important;
}

.bold {
  font-weight: bold !important;
}

section {
  width: 100%;
  /* margin: 10px; */
}

h1 {
  font-size: 18px;
}

.btn_move {
  text-align: center;
  background-color: transparent;
  border: none;
}

.btn_move>* {
  pointer-events: none;
}

.sankaku {
  width: 1em;
  height: 1em;
  fill: rgb(65, 65, 65);
}

.btn_move:active .sankaku {
  fill: rgb(163, 163, 163);
}

.sankaku.down {
  transform: rotate(180deg);
}

.vendor_name {
  width: 100%;
  text-align: left;
}

.total_count {
  text-align: right;
  white-space: nowrap;
}

ul {
  list-style: none;
}

.item>* {
  white-space: nowrap;
}

.item {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between;
  align-items: center;
}

.item input {
  width: 3em;
  text-align: center;
  padding: 0.2em;
}


.total_count input {
  width: 3em;
  text-align: center;
  padding: 0.2em;
}

.btn_bottom {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1em;
  padding: 0.5em 1em;
}

.btn_bottom button {
  padding: 0.5em;
  font-size: 1.1;
  color: var(--view-text-color);
}

.btn_bottom button:active {
  background-color: var(--view-button-active-color);
}

.btn_bottom.two button {
  width: calc(50% - 0.5em);
}

.btn_bottom.high button {
  width: 8em;
  height: 4em;
}

.footer_area {
  text-align: center;
  vertical-align: middle;
  padding: 10px;
}

.footer_area>img {
  height: 28px;
  vertical-align: middle;
}

button.green {
  background-color: var(--view-button-color-green);
}

button.red {
  background-color: var(--view-button-color-red);
}

button.beige {
  background-color: var(--view-button-color-beige);
}

button.logout {
  background-color: var(--view-select-button-gray);
  border-radius: 10px;
  border-color: #D9D9D9;
}

.header_menu {
  display: flex;
  justify-content: flex-end;
}

.app_title {
  text-align: center;
  padding: 0.25em 0.5em;
  font-size: 1.1;
}

.bold {
  font-weight: bold !important;
}

.underline {
  text-decoration: underline !important;
}

.page_link {
  color: var(--view-header-link);
  text-decoration: none;
  cursor: pointer;
}

.page_link:hover {
  opacity: 0.7;
}

.page_link:active {
  opacity: 0.3;
}

#main {
  background-color: var(--view-contents-area);
}

.v-text-field:not(.v-textarea) .v-field__input {
  min-height: 1.5em !important;
  padding: 0.3em 0.5em !important;
}

.v-text-field:not(.v-textarea) .v-input__control {
  background-color: var(--view-input-bg-color-white);
  border-radius: .5em !important;
}

.v-text-field:not(.v-textarea) .v-field,
.v-text-field:not(.v-textarea) .v-field__outline,
.v-text-field:not(.v-textarea) .v-field__overlay {
  border-radius: 0.5em !important;
}
.v-btn {
  text-transform: none !important;
}
.v-btn__content {
  font-size: var(--view-text-size-m);
}

.v-btn--variant-plain {
  opacity: 1 !important;
}

.td_value .v-text-field input {
  color: var(--view-text-color-blue);
}

.td_value .v-text-field input::placeholder {
  color: var(--view-text-color);
}

.td_value .v-text-field input:read-only {
  color: var(--view-text-color-gray);
}

.v-field__outline__start,
.v-field__outline__end {
  border-color: var(--view-border-color-dark);
}


.error_message,
.password_message {
  height: var(--view-page-footer-height);
  vertical-align: middle;
  font-size: var(--view-text-size-xs);
  white-space: pre-wrap;
  text-align: center;
  padding-top: 1rem;
}

.error_message.red,
.password_message.red {
  color: var(--view-text-color-red);
}